package com.japisoft.dtdparser.swing;

import javax.swing.tree.*;
import java.util.Enumeration;
import com.japisoft.dtdparser.node.*;

/**
 * Swing attribute node
 * 
 * @author (c) 2002 - 2003 JAPISOFT
 * @version 1.0
 */
public class SwingAttributeDTDNode extends AttributeDTDNode implements TreeNode {

    public SwingAttributeDTDNode() {
	super();   
    }

    public SwingAttributeDTDNode( String name ) {
	super( name );
    }

    // Tree node part

    public Enumeration children() { return getDTDNodes(); }
    public boolean getAllowsChildren() { return true; }
    public TreeNode getChildAt(int childIndex) { return (TreeNode)getDTDNodeAt( childIndex ); }
    public int getChildCount() { return getDTDNodeCount(); }
    public int getIndex( TreeNode node ) { return getDTDNodeIndex( (DTDNode)node ); }
    public TreeNode getParent() { return (TreeNode)getDTDParentNode(); }
    public boolean isLeaf() { return isEmpty(); }

}

// SwingAttributeDTDNode ends here
