package com.japisoft.dtdparser.swing;

import javax.swing.tree.*;
import java.util.Enumeration;
import com.japisoft.dtdparser.node.*;

/**
 * Basic Swing node.
 *
 * @author (c) 2003-2003 JAPISOFT
 * @version 1.0
 * @since 1.0
 * @see DTDNode */
public class SwingDTDNode extends DTDNode implements TreeNode {

    public SwingDTDNode() {
	super();
    }

    // Tree node part

    public Enumeration children() { return getDTDNodes(); }
    public boolean getAllowsChildren() { return true; }
    public TreeNode getChildAt(int childIndex) { return (TreeNode)getDTDNodeAt( childIndex ); }
    public int getChildCount() { return getDTDNodeCount(); }
    public int getIndex( TreeNode node ) { return getDTDNodeIndex( (DTDNode)node ); }
    public TreeNode getParent() { return (TreeNode)getDTDParentNode(); }
    public boolean isLeaf() { return isEmpty(); }

}
