package demo;

import java.io.*;
import com.japisoft.dtdparser.Parser;
import com.japisoft.dtdparser.document.TraceDTDDocumentBuilder;
import com.japisoft.dtdparser.node.RootDTDNode;

/**
 * Here a demonstration of the DTD writing support.
 * This program parses a DTD and writes it after.
 *
 * @author (c) 2002 - 2003 JAPISOFT
 * @version 1.0 */
public class Demo {
    public Demo() {
	super();   
    }

    public static void main( String[] args ) throws Throwable {
	if ( args.length != 1 ) {
	    System.err.println( "Invalid argument : need a dtd file " );
	    System.exit( 1 );
	}

	Parser p = new Parser();
	p.setDTDDocumentBuilder( new TraceDTDDocumentBuilder() );
	p.parse( new FileInputStream( args[ 0 ] ) );
	System.exit( 0 );
    }

}

// Demo ends here
